//{$MACRO ON}
{$IFNDEF FLAG_CONSOLE}
{$APPTYPE GUI}
{$ENDIF}
uses
  {$IFDEF FLAG_FPC}
  uFMOD in '..\DEngine\uFMOD_FPC\uFMOD.pas',  
  DMath in '..\DEngine\FPC\DMath.pas',
  {$ELSE}
  uFMOD in '..\DEngine\uFMOD_DELPHI\uFMOD.pas',
  DMath in '..\DEngine\DELPHI\DMath.pas',
  {$ENDIF}

  DParser in '..\DEngine\DParser.pas',
  DIni in '..\DParser\DIni.pas',
  DXML in '..\DParser\DXML.pas',
  DXMLExecutor in '..\DParser\DXMLExecutor.pas',

  GL in '..\DEngine\OPENGL\GL.pas',
  GLU in '..\DEngine\OPENGL\GLU.pas',

  windows in '..\DEngine\WINDOWS\windows.pas',
  messages in '..\DEngine\WINDOWS\messages.pas',
  DWinApi in '..\DEngine\WINDOWS\DWinApi.pas',

  DGraph in '..\DEngine\OPENGL\DGraph.pas',

  openal in '..\DEngine\OPENAL\openal.pas',
  DSound in '..\DEngine\DSound.pas',

  DIntersection in '..\DEngine\DIntersection.pas',
  DOS in '..\DEngine\DOS.pas',
  DUtils in '..\DEngine\DUtils.pas',
  DDebug in '..\DEngine\DDebug.pas',
  DEvents in '..\DEngine\DEvents.pas',
  DFont in '..\DEngine\DFont.pas',
  DCamera2D in '..\DEngine\DCamera2D.pas',

  DCore,
  DMap,
  DGame;

begin
  randomize;
  Core := TCore.Create;
  Game := TGame.Create;
  Core.Window.Subscribe(Game);

  //Game.AddLevel('data\maps\map0.xml');
  //   
  Game.LoadLevel(Game.CurLevel);
  Game.GoToScene('wait');

  Core.Run;
  Game.Free;
  Core.Free;
end.
