#ifndef _LEVEL_H_
#define _LEVEL_H_

#include <hge.h>
#include <core.h>
#include <object.h>
#include <Box2D.h>

class CLevel {
public:
	CLevel(CCore *engine,HGE *Hge,b2World *MyWorld);
	~CLevel(void);

	hgeFont				*fnt;
	CGameInfo			*GameInfo;

	HMUSIC				bgMusic;
	HEFFECT				sndAplause;

	int Update(float delta);
	void Render(void);
	bool Load(void);
	CGameObjectManager *ObjectManager;
protected:
	HGE *hge;
	CCore *Engine;
	b2World *World;
	hgeSprite *sprBg;
	HTEXTURE	texBg;
};

#endif