#ifndef __RESOURCES__
#define __RESOURCES__

#include "../Omega/OMEGA_functions.h"
#include "../Math/Vector.h"


// 

extern unsigned int tex_cursor;
extern unsigned int tex_font;
extern unsigned int tex_button_normal;
extern unsigned int tex_button_roll;
extern unsigned int tex_false;
extern unsigned int tex_true;

extern unsigned int tex_player_inner;
extern unsigned int tex_player_outer;

extern unsigned int tex_enemy_1_inner;
extern unsigned int tex_enemy_2_inner;
extern unsigned int tex_enemy_outer;
extern unsigned int tex_enemy_3_inner;
extern unsigned int tex_enemy_3_tentacles;
extern unsigned int tex_enemy_4;
extern unsigned int tex_enemy_4_anim;
extern unsigned int tex_enemy_big;


extern unsigned int tex_bullet;
extern unsigned int tex_rocket;
extern unsigned int tex_rocket_big;
extern unsigned int tex_point;
extern unsigned int tex_splinter;
extern unsigned int tex_explosion;
extern unsigned int tex_electroshock;

// sound
extern int snd_background;
extern int snd_menu;

extern int snd_shock;
extern int snd_shock_shot;
extern int snd_plasma_shot;
extern int snd_bullet_shot;
extern int snd_plasma_charge;
extern int snd_rocket_shot;

extern int snd_bullet_hit;
extern int snd_enemy_die;
extern int snd_rocket_explosion;
extern int snd_slow_enable;
extern int snd_slow_disable;


// 

extern int WINDOW_WIDTH;
extern int WINDOW_HEIGHT;
extern bool vSync;
extern bool fullScreen;

// 
extern float playerSize;
extern float enemysSize;
extern float enemyShockSize;

extern float enemy1MaxShootTime;

extern float rocketSize;
extern float rocketSpeed;
extern float rocketBigSpeed;

extern float bulletSize;
extern float bulletSpeed;

extern float enemy1Speed;

// 

void loadTextures();
void loadSounds();

void unloadTextures();

#endif

