unit Gfx;

interface
  uses OMEGA, OmegaPNG, Constans;

procedure LoadGfx;

var
  tex_IGDC: PTexture;
  tex_Cursor: PTexture;

  tex_corners: array[0..3] of PTexture;

implementation

procedure LoadGfx;
var
  i: integer;
begin
  tex_IGDC := Tex_LoadPNGFromFile('textures\igdc.png', -1, TEX_DEFAULT_2D);
  tex_Cursor := Tex_LoadFromFile('textures\cursor.gif', clWhite, TEX_DEFAULT_2D);

  for i := 0 to 3 do
    tex_corners[i] := Tex_LoadPNGFromFile(PChar('textures\corner' + U_IntToStr(i+1) + '.png'), -1, TEX_DEFAULT_2D);

end;

end.
