program MainApp;
{<|Author : Adler3D|>}
{<|e-mail : Adler3D@mail.ru|>}
{<|site : Adler3D.narod.ru|>}
uses
  eXgine,
  Tools,
  Scene,
  Global in 'Global.pas',
  GameScene in 'GameScene.pas',
  GameEntity in 'GameEntity.pas',
  BackupScene in 'BackupScene.pas';

procedure Init;
var
  SM:TScreenMode;
begin
  SM:=GetScreenMode; App.IsRun:=False;
  eX.SetProc(PROC_UPDATE,@Scene.Update);
  eX.SetProc(PROC_RENDER,@Scene.Render);
  eX.SetProc(PROC_MESSAGE,@Scene.UseMessage);
  eX.SetProc(PROC_INIT,@Global.InitApp);
  eX.SetProc(PROC_FREE,@Global.FreeApp);
  ogl.AntiAliasing(App.AASamples);
  wnd.Create(PChar(App.Name),not App.Debug); wnd.Mode(True,SM.X,SM.Y,SM.BPP,SM.Freg);
  inp.MCapture(True); eX.ActiveUpdate(True); ogl.VSync(App.VSync);
end;

procedure ShutDown;
begin
  App.IsRun:=False;
end;

begin
  Randomize;
  App.Concurs:='None';
  App.Name:='-=[DooRocket]=-';
  App.Ver:='0.25';
  App.Author:='Adler3d';
  App.AASamples:=0;
  App.VSync:=True;            
  App.UPS:={12*3}100;
  if ParamCount=1 then App.Debug:=ParamStr(1)='-Debug' else App.Debug:=False;
  Init; eX.MainLoop(App.UPS); ShutDown;
end.

