unit DGuiUtils;

interface

uses
  DMath,
  DUtils,
  DGuiCore,
  DGuiCommon;

type
TGuiFPS = class(TGuiLabel)
  constructor Create(Gui: TGui; Style: String);
  procedure Update; override;
  procedure Render; override;
end;

implementation

constructor TGuiFPS.Create;
begin
  inherited Create(Gui, 'fps', Style);
  Size := Vec2f(130, 20);
  Visible := True;
end;

procedure TGuiFPS.Update; 
begin
  inherited;
  Color := Vec4f($87/255, $00/255, $D7/255, 1.0);
  _Label.Text := 'fps: ' + IntToStr(Gui.Window.WinApi.FPS);
  _Label.Font := 'default';
end;

procedure TGuiFPS.Render;
begin
  inherited Render;
end;

end.
