unit e_camera;

interface

uses OpenGL, e_types, e_global;

type
  TCamera = record
    eye, target : TPoint;
    fov, cull_near, cull_far : single;
  end;

var
  camera : TCamera = (eye : (x : 0; y : 0;); target : (x : 0; y : 0;); fov : 30; cull_near : 0.1; cull_far : 300);

procedure MoveCamera(var c : TCamera);

implementation

uses
  e_game, e_main;

procedure MoveCamera(var c : TCamera);
begin
with c do
  begin
    gluLookAt(eye.x, eye.y, 40,
              target.x, target.y, 0,
              0, 1, 0);
  end;
end;

end.

