unit e_global;

interface

uses Windows, e_types;

const max_levels = 6;

var
  Handle : HWND;
  DC     : HDC;
  RC     : HGLRC;                      
  quit   : boolean;

  game_started         : boolean = false;
  game_played          : boolean = false;
  game_pause           : boolean = false;
  game_restart         : boolean = false;
  menu_active          : boolean;

  clear_color          : TColor;

  mouse_game           : TPoint;
  mouse_old            : TPoint;
  mouse_down           : boolean = false;
  keys : array[0..255] of boolean;
  mouse_system         : TPoint = (x : 0; y : 0);
  mouse_system_old     : TPoint = (x : 0; y : 0);
  mouse_sens           : single = 1;

  time_scale : single;
  time : extended;
  count_new, count_last, count_sec, count_fps, fps : integer;

  render_logo           : boolean = true;
  render_debug          : boolean = false;

  auto_pause            : boolean = false;

implementation

end.
