unit e_level0;

interface

procedure StageUpdate(count : single);
procedure ScriptSkip(full : boolean);
procedure RenderBack;
procedure RenderFront;

implementation

uses OpenGL, e_global, e_models, e_textures, e_game, e_types, e_camera, e_utils, e_sound, e_particles,
     e_towers, e_lines, e_main;

var
  tower1  : TTower;
  object1, object2 : TObject;
  hints : array[1..5] of TLabel;

procedure ScriptUpdate(count : single);
var
b : boolean;
begin
b := false;

with game do
case script of
  0 : begin
        b := true;

        hints[1] := game.AddLabel('1. move the wheel', 0, 0, 5, false);
        hints[1].Show;
        hints[2] := game.AddLabel('2. wait', 0, 3, 5, false);
        hints[3] := game.AddLabel('3. move on', 0, 6, 5, false);

        tower1 := game.AddTower(1, GetPoint(6, 0), -90);

        AddEnemy(3, GetPoint(-10, 0));

        SetLength(game.objects, 20);

        object1 := game.AddObject(-7.5, 10, 0, 15, 2, texture_object1);
        object2 := game.AddObject(7.5, 10, 0, 15, 2, texture_object1);
        object1.Animate(-15, 10, 0, 1, 0);
        object1.animation_speed := -1;
        object2.Animate( 15, 10, 0, 1, 0);
        object2.animation_speed := -1;

        CountObjects;
      end;
  1 : b := player.pos.y > 12;
  2 : begin
        GameOver(true);
        exit;
      end;
end;

if b then
  inc(game.script);
end;

procedure ScriptSkip(full : boolean);
begin
end;

procedure StageUpdate(count : single);
var
p : TPoint;
s : single;
begin
ScriptUpdate(count);
end;

procedure RenderBack;
begin
end;

procedure RenderFront;
begin
end;

end.

