#ifndef __FONT__
#define __FONT__

#include <windows.h>
#include <gl/gl.h>
#include <stdio.h>
#include <stdarg.h> //   
#include "../Math/Vector.h"
#include "String.h"

class Font
{
public:
	int list;
	int texture;
	float size;
	float kerning;

public:
	Font();
	void Init(int tex_id);
	void drawText(vec2& pos, float s, const char* text, float ker = -1);
};

extern Font font;

#endif

